## traverso 0.49.5

=== CMakeLists.txt ===
#CMAKE SETUP
#Require 3.1.0 for Qt finding
CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0 FATAL_ERROR)

SET(CMAKE_COLOR_MAKEFILE ON)
SET(CMAKE_VERBOSE_MAKEFILE ON)
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)
SET(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

IF(COMMAND CMAKE_POLICY)
	CMAKE_POLICY(SET CMP0005 NEW)
	CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND CMAKE_POLICY)


#PROJECT SETUP
PROJECT(traverso)
SET (VERSION_MAJOR "0")
SET (VERSION_MINOR "49")
SET (VERSION_PATCH "5")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})

MESSAGE(STATUS "Traverso ${VERSION} will be built to install into ${CMAKE_INSTALL_PREFIX}")

OPTION(WANT_JACK    	"Include Jack (Jack Audio Connection Kit) support" ON)
OPTION(WANT_ALSA    	"Include ALSA (Advanced Linux Sound Architecture) support" ON)
OPTION(WANT_PORTAUDIO	"Include PortAudio support (Driver support for Mac OS X and Windows" OFF)
OPTION(WANT_PULSEAUDIO	"Include PulseAudio support (Driver support for Linux and Windows" OFF)
OPTION(WANT_COREAUDIO	"Include CoreAudio support (Driver support for Mac OS X" OFF)
OPTION(WANT_LV2		"Include LV2 Plugin support" ON)
OPTION(WANT_MP3_DECODE	"Include mp3 decoding support, for playing mp3 files" ON)
OPTION(WANT_MP3_ENCODE	"Include mp3 encoding support, for creating mp3 files" OFF)
OPTION(WANT_PCH     	"Use precompiled headers" OFF)
OPTION(WANT_DEBUG   	"Debug build" OFF)
# OPTION(WANT_OPENGL	"Build Traverso with OpenGL support" OFF)
OPTION(WANT_TRAVERSO_DEBUG "Provides 4 levels of debug ouput on the command line, always on for DEBUG builds" OFF)
OPTION(WANT_THREAD_CHECK	"Checks at runtime if functions are called from the correct thread, used by developers for debugging" OFF)
OPTION(WANT_VECLIB_OPTIMIZATIONS "Build with veclib optimizations (Only for PPC based Mac OS X)" OFF)
OPTION(AUTOPACKAGE_BUILD "Build traverso with autopackage tools" OFF)
OPTION(DETECT_HOST_CPU_FEATURES "Detect the feature set of the host cpu, and compile with an optimal set of compiler flags" ON)


SET(MAIN_DIR_NAME "src")
IF(TAG_VERSION)
  MESSAGE(STATUS "Previously selected version tag: ${TAG_VERSION}")
  SET(WANT_VERSIONING 1)
  SET(CACHED_VERSIONING 1)
ENDIF(TAG_VERSION)
IF (WANT_VERSIONING AND NOT CACHED_VERSIONING)
  IF (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION "-${VERSION}" CACHE TYPE STRING)
  ELSE (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION ${CUSTOM_VERSIONTAG} CACHE TYPE STRING)
  ENDIF (NOT CUSTOM_VERSIONTAG)
ENDIF (WANT_VERSIONING AND NOT CACHED_VERSIONING)

IF(WIN32)
SET(WANT_LV2 OFF)
ENDIF(WIN32)

# Static build is perfectly fine now, targets are properly relinked when needed!
SET(TRAVERSO_DEFINES -DSTATIC_BUILD)

#BUILD SETUP
#None, Debug, Release, .. or custom ones
IF(WANT_DEBUG)
  SET(CMAKE_BUILD_TYPE DEBUG)
  SET(WANT_TRAVERSO_DEBUG ON)
ELSE(WANT_DEBUG)
  SET(CMAKE_BUILD_TYPE RELEASE)
  LIST(APPEND TRAVERSO_DEFINES -DQT_NO_DEBUG)
ENDIF(WANT_DEBUG)


IF(WANT_TRAVERSO_DEBUG)
  LIST(APPEND TRAVERSO_DEFINES -DUSE_DEBUGGER)
ENDIF(WANT_TRAVERSO_DEBUG)


# Moves the Traverso exec. to the root dir and libs to the root's lib dir.
SET(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/bin)
SET(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/lib)


# Add Mac build paths for DarwinPorts / MacPorts
# These need to be defined up here, above the include checks
IF(APPLE)
	INCLUDE_DIRECTORIES("/opt/local/include")
	SET (CMAKE_REQUIRED_INCLUDES "/opt/local/include")
	LINK_DIRECTORIES("/opt/local/lib")
ENDIF(APPLE)


SET(MINIMAL_ALSA_VERSION 1.0.0)
SET(MINIMAL_JACK_VERSION 0.100)
SET(MINIMAL_PORTAUDIO_VERSION 19)
SET(MINIMAL_WAVPACK_VERSION 4.40.0)
SET(MINIMAL_OGG_VORBIS_VERSION 1.1.2)
SET(MINIMAL_MAD_VERSION 0.15.0)
SET(MINIMAL_FLAC_VERSION 1.1.2)
SET(MINIMAL_FFTW_VERSION 3.0.0)
SET(MINIMAL_PULSAUDIO_VERSION 0.9)
SET(HAVE_COREAUDIO FALSE)

SET(CMAKE_CXX_FLAGS_DEBUG "-O0 -g3 -Wall ${CXX_FLAGS}")
SET(CMAKE_CXX_FLAGS_RELEASE "-O2 -Wall -fPIC ${CXX_FLAGS}")

# Detect the flags to be used for large file support
execute_process(
	COMMAND getconf LFS_CFLAGS
	OUTPUT_VARIABLE getconf_invoke_result
	RESULT_VARIABLE getconf_failed
)

# remove linebrakes, white spaces (getconf_invoke_result)
string(REGEX REPLACE "[\r\n]"                  " " getconf_invoke_result "${getconf_invoke_result}")

# now we have the proper flags for large file support, so set these!
SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} ${getconf_invoke_result}")
SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} ${getconf_invoke_result}")


INCLUDE (${CMAKE_ROOT}/Modules/TestBigEndian.cmake)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)


# Check for PKG-CONFIG
FIND_PACKAGE(PkgConfig REQUIRED)
IF(PKG_CONFIG_FOUND)
    MESSAGE(STATUS "Program pkg-config found (${PKG_CONFIG_EXECUTABLE})")
ELSE(PKG_CONFIG_FOUND)
    MESSAGE(FATAL_ERROR "Program pkg-config not found")
ENDIF(PKG_CONFIG_FOUND)


#FIND DEPENDENCIES

INCLUDE (ConfigureChecks.cmake)

# IF(WANT_OPENGL)
# 	IF(QT_QTOPENGL_FOUND)
# 		LIST(APPEND TRAVERSO_DEFINES -DQT_OPENGL_SUPPORT) 
# 		SET(HAVE_OPENGL TRUE)
# 	ENDIF(QT_QTOPENGL_FOUND)
# ELSE(WANT_OPENGL)
# 	SET(HAVE_OPENGL FALSE)
# ENDIF(WANT_OPENGL)



IF(WANT_PORTAUDIO)
	CHECK_INCLUDE_FILE("portaudio.h" HAVE_PORTAUDIO_H)
	IF(NOT HAVE_PORTAUDIO_H)
		MESSAGE(FATAL_ERROR "PortAudio support requested, but PortAudio development headers could not be found!\nPlease install the PortAudio development package, remove CMakeCache.txt and run cmake again")
	ENDIF(NOT HAVE_PORTAUDIO_H)
	PKG_CHECK_MODULES(PORTAUDIO portaudio-2.0>=${MINIMAL_PORTAUDIO_VERSION})
	IF(PORTAUDIO_FOUND)
		LIST(APPEND TRAVERSO_DEFINES -DPORTAUDIO_SUPPORT)
		MESSAGE("-- PortAudio Library Found OK")
		SET(HAVE_PORTAUDIO TRUE)
	ENDIF(PORTAUDIO_FOUND)
ELSE(WANT_PORTAUDIO)
		SET(HAVE_PORTAUDIO FALSE)
ENDIF(WANT_PORTAUDIO)


IF(WANT_PULSEAUDIO)
	CHECK_INCLUDE_FILE("pulse/pulseaudio.h" HAVE_PULSEAUDIO_H)
	IF(NOT HAVE_PULSEAUDIO_H)
		MESSAGE(SEND_ERROR "PulseAudio support requested, but PulseAudio development headers could not be found!\nPlease install the PortAudio development package, remove CMakeCache.txt and run cmake again")
	ELSE(NOT HAVE_PULSEAUDIO_H)
		LIST(APPEND TRAVERSO_DEFINES -DPULSEAUDIO_SUPPORT)
		MESSAGE("-- PULSEAUDIO Library Found OK")
		SET(HAVE_PULSEAUDIO TRUE)
	ENDIF(NOT HAVE_PULSEAUDIO_H)
ELSE(WANT_PULSEAUDIO)
	SET(HAVE_PULSEAUDIO FALSE)
ENDIF(WANT_PULSEAUDIO)



IF(WANT_LV2)
        IF(PKG_CONFIG_FOUND)
                PKG_CHECK_MODULES(LIBLILV lilv-0>=0.4.4)
                IF (LIBLILV_FOUND)
                    MESSAGE("-- LILV Library Found OK")
                    INCLUDE_DIRECTORIES(${LIBLILV_INCLUDE_DIRS})
                    SET (LV2_SUPPORT TRUE)
                    SET(HAVE_LILV TRUE)
                ELSE (LIBLILV_FOUND)
                    MESSAGE("LILV support disabled")
                    SET (LV2_SUPPORT FALSE)
                    SET(HAVE_LILV FALSE)
                ENDIF (LIBLILV_FOUND)
        ENDIF(PKG_CONFIG_FOUND)


        LIST(APPEND TRAVERSO_DEFINES -DLV2_SUPPORT)
        SET(SLV2OPTIONS "${HAVE_LILV}")
ELSE(WANT_LV2)
        SET(HAVE_LILV FALSE)
        SET (LV2_SUPPORT FALSE)
ENDIF(WANT_LV2)


CHECK_INCLUDE_FILE("wavpack/wavpack.h" HAVE_WAVPACK_H)
IF(NOT HAVE_WAVPACK_H)
	MESSAGE(FATAL_ERROR "WavPack development headers could not be found!\nPlease install the WavPack development package, remove CMakeCache.txt and run cmake again")
ENDIF(NOT HAVE_WAVPACK_H)
PKG_CHECK_MODULES(WAVPACK  wavpack>=${MINIMAL_WAVPACK_VERSION})
IF (WAVPACK_FOUND)
  MESSAGE("-- WavPack Library Found OK")
ELSE(WAVPACK_FOUND)
  MESSAGE(SEND_ERROR "No WavPack found (WavPack >= ${MINIMAL_WAVPACK_VERSION} needs to be installed!)")
ENDIF(WAVPACK_FOUND)


CHECK_INCLUDE_FILE("vorbis/vorbisfile.h" HAVE_VORBISFILE_H)
IF(NOT HAVE_VORBISFILE_H)
	MESSAGE(FATAL_ERROR "Ogg Vorbis development headers could not be found!\nPlease install the Ogg Vorbis development package, remove CMakeCache.txt and run cmake again")
ENDIF(NOT HAVE_VORBISFILE_H)
PKG_CHECK_MODULES(VORBIS  vorbis>=${MINIMAL_OGG_VORBIS_VERSION})
IF (VORBIS_FOUND)
  MESSAGE("-- Ogg Vorbis Library Found OK")
ELSE(VORBIS_FOUND)
  MESSAGE(SEND_ERROR "No Ogg Vorbis found (Ogg Vorbis >= ${MINIMAL_OGG_VORBIS_VERSION} needs to be installed!)")
ENDIF(VORBIS_FOUND)


CHECK_INCLUDE_FILE("FLAC/export.h" HAVE_FLAC_H)
IF(HAVE_FLAC_H)
	MESSAGE("-- FLAC Library Found OK")
ELSE(HAVE_FLAC_H)
	PKG_CHECK_MODULES(FLAC  flac>=${MINIMAL_FLAC_VERSION})
	IF (FLAC_FOUND)
		MESSAGE("-- FLAC Library Found OK")
	ELSE(FLAC_FOUND)
		MESSAGE(FATAL_ERROR "No FLAC found (FLAC >= ${MINIMAL_FLAC_VERSION} needs to be installed!)")
	ENDIF(FLAC_FOUND)
ENDIF(HAVE_FLAC_H)


IF(WANT_MP3_DECODE)
	CHECK_INCLUDE_FILE("mad.h" HAVE_MAD_H)
	IF(HAVE_MAD_H)
		SET(HAVE_MP3_DECODING TRUE)
		LIST(APPEND TRAVERSO_DEFINES -DMP3_DECODE_SUPPORT)
	ELSE(HAVE_MAD_H)
		PKG_CHECK_MODULES(MAD mad>=${MINIMAL_MAD_VERSION})
		IF(MAD_FOUND)
			SET(HAVE_MP3_DECODING TRUE)
			LIST(APPEND TRAVERSO_DEFINES -DMP3_DECODE_SUPPORT)
			MESSAGE("-- MP3 Decoding Library Found OK")
		ELSE(MAD_FOUND)
			MESSAGE(FATAL_ERROR "MP3 decoding support requested, but mp3 development headers (mad.h) could not be found!\nPlease install the mp3 development package (Usually called libmad0-dev), remove CMakeCache.txt and run cmake again")
		ENDIF(MAD_FOUND)
	ENDIF(HAVE_MAD_H)
ELSE(WANT_MP3_DECODE)
	SET(HAVE_MP3_DECODING FALSE)
ENDIF(WANT_MP3_DECODE)


IF(WANT_MP3_ENCODE)
	CHECK_INCLUDE_FILE("lame/lame.h" HAVE_LAME_H)
	IF(HAVE_LAME_H)
		LIST(APPEND TRAVERSO_DEFINES -DMP3_ENCODE_SUPPORT)
		MESSAGE("-- Building with mp3 encoding support enabled")
		SET(HAVE_MP3_ENCODING TRUE)
	ELSE(HAVE_LAME_H)
		MESSAGE(FATAL_ERROR "MP3 encoding support requested, but mp3 development headers (lame.h) could not be found!\nPlease install the lame development package (Usually called liblame-dev), remove CMakeCache.txt and run cmake again")
	ENDIF(HAVE_LAME_H)
ELSE(WANT_MP3_ENCODE)
	SET(HAVE_MP3_ENCODING FALSE)
ENDIF(WANT_MP3_ENCODE)


CHECK_INCLUDE_FILE("fftw3.h" HAVE_FFTW3_H)
IF(NOT HAVE_FFTW3_H)
	MESSAGE(FATAL_ERROR "FFTW3 development headers could not be found!\nPlease install the FFTW3 development package (fftw3-dev), remove CMakeCache.txt and run cmake again")
ENDIF(NOT HAVE_FFTW3_H)
PKG_CHECK_MODULES(FFTW3  fftw3>=${MINIMAL_FFTW_VERSION})
IF (FFTW3_FOUND)
  MESSAGE("-- FFTW3 Library Found OK")
ELSE(FFTW3_FOUND)
  MESSAGE(SEND_ERROR "No FFTW3 found (FFTW3 >= ${MINIMAL_FFTW_VERSION} needs to be installed!)")
ENDIF(FFTW3_FOUND)


CHECK_INCLUDE_FILE("sys/vfs.h" HAVE_SYS_VFS_H)
IF(HAVE_SYS_VFS_H)
	LIST(APPEND TRAVERSO_DEFINES -DHAVE_SYS_VFS_H)
ENDIF(HAVE_SYS_VFS_H)

CHECK_INCLUDE_FILE("sys/stat.h" HAVE_SYS_STAT_H)
IF(HAVE_SYS_STAT_H)
	LIST(APPEND TRAVERSO_DEFINES -DHAVE_SYS_STAT_H)
ENDIF(HAVE_SYS_STAT_H)


#Create configure files.. config.h
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)


#uninstall
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


SET (QT_MIN_VERSION "5.6.0")
find_package(Qt5 COMPONENTS Core Widgets Xml REQUIRED)
set(CMAKE_AUTOMOC ON)


#Set up include dirs with all found packages
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/common
${Qt5Widgets_INCLUDE_DIRS}
${Qt5Widgets_INCLUDES}
${Qt5Xml_INCLUDE_DIRS}
${Qt5Xml_INCLUDES}
)

set(CMAKE_CXX_FLAGS "-fPIC")

#Set up libraries to link with all found packages
LINK_LIBRARIES (
${QT_QT_LIBRARY}
)

SET(CMAKE_AUTOUIC ON) 


CHECK_FUNCTION_EXISTS(posix_memalign HAVE_POSIX_MEMALIGN)
IF(NOT HAVE_POSIX_MEMALIGN)
	LIST(APPEND TRAVERSO_DEFINES -DNO_POSIX_MEMALIGN)
	MESSAGE("Did not find posix_memalign(), using malloc")
ENDIF(NOT HAVE_POSIX_MEMALIGN)


CHECK_FUNCTION_EXISTS(mlock HAVE_MLOCK)
IF(HAVE_MLOCK)
	LIST(APPEND TRAVERSO_DEFINES -DUSE_MLOCK)
ENDIF(HAVE_MLOCK)



IF(UNIX)
	
#BEGIN Mac OS X section
	IF(APPLE)

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.7

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named uninstall

# Build rule for target.
uninstall: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 uninstall
.PHONY : uninstall

# fast build rule for target.
uninstall/fast:
	$(MAKE) -f CMakeFiles/uninstall.dir/build.make CMakeFiles/uninstall.dir/build
.PHONY : uninstall/fast

#=============================================================================
# Target rules for targets named traversoaudiobackend

# Build rule for target.
traversoaudiobackend: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversoaudiobackend
.PHONY : traversoaudiobackend

# fast build rule for target.
traversoaudiobackend/fast:
	$(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/build
.PHONY : traversoaudiobackend/fast

#=============================================================================
# Target rules for targets named traversoaudiobackend_automoc

# Build rule for target.
traversoaudiobackend_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversoaudiobackend_automoc
.PHONY : traversoaudiobackend_automoc

# fast build rule for target.
traversoaudiobackend_automoc/fast:
	$(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend_automoc.dir/build.make src/engine/CMakeFiles/traversoaudiobackend_automoc.dir/build
.PHONY : traversoaudiobackend_automoc/fast

#=============================================================================
# Target rules for targets named traversoaudiofileio

# Build rule for target.
traversoaudiofileio: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversoaudiofileio
.PHONY : traversoaudiofileio

# fast build rule for target.
traversoaudiofileio/fast:
	$(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build
.PHONY : traversoaudiofileio/fast

#=============================================================================
# Target rules for targets named traversoaudiofileio_automoc

# Build rule for target.
traversoaudiofileio_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversoaudiofileio_automoc
.PHONY : traversoaudiofileio_automoc

# fast build rule for target.
traversoaudiofileio_automoc/fast:
	$(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio_automoc.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio_automoc.dir/build
.PHONY : traversoaudiofileio_automoc/fast

#=============================================================================
# Target rules for targets named traversocommands

# Build rule for target.
traversocommands: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversocommands
.PHONY : traversocommands

# fast build rule for target.
traversocommands/fast:
	$(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/build
.PHONY : traversocommands/fast

#=============================================================================
# Target rules for targets named traversocommands_automoc

# Build rule for target.
traversocommands_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversocommands_automoc
.PHONY : traversocommands_automoc

# fast build rule for target.
traversocommands_automoc/fast:
	$(MAKE) -f src/commands/CMakeFiles/traversocommands_automoc.dir/build.make src/commands/CMakeFiles/traversocommands_automoc.dir/build
.PHONY : traversocommands_automoc/fast

#=============================================================================
# Target rules for targets named tcp_traversocommands

# Build rule for target.
tcp_traversocommands: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 tcp_traversocommands
.PHONY : tcp_traversocommands

# fast build rule for target.
tcp_traversocommands/fast:
	$(MAKE) -f src/commands/plugins/TraversoCommands/CMakeFiles/tcp_traversocommands.dir/build.make src/commands/plugins/TraversoCommands/CMakeFiles/tcp_traversocommands.dir/build
.PHONY : tcp_traversocommands/fast

#=============================================================================
# Target rules for targets named tcp_traversocommands_automoc

# Build rule for target.
tcp_traversocommands_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 tcp_traversocommands_automoc
.PHONY : tcp_traversocommands_automoc

# fast build rule for target.
tcp_traversocommands_automoc/fast:
	$(MAKE) -f src/commands/plugins/TraversoCommands/CMakeFiles/tcp_traversocommands_automoc.dir/build.make src/commands/plugins/TraversoCommands/CMakeFiles/tcp_traversocommands_automoc.dir/build
.PHONY : tcp_traversocommands_automoc/fast

#=============================================================================
# Target rules for targets named traversocore

# Build rule for target.
traversocore: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversocore
.PHONY : traversocore

# fast build rule for target.
traversocore/fast:
	$(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/build
.PHONY : traversocore/fast

#=============================================================================
# Target rules for targets named traversocore_automoc

# Build rule for target.
traversocore_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversocore_automoc
.PHONY : traversocore_automoc

# fast build rule for target.
traversocore_automoc/fast:
	$(MAKE) -f src/core/CMakeFiles/traversocore_automoc.dir/build.make src/core/CMakeFiles/traversocore_automoc.dir/build
.PHONY : traversocore_automoc/fast

#=============================================================================
# Target rules for targets named traversoplugins

# Build rule for target.
traversoplugins: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversoplugins
.PHONY : traversoplugins

# fast build rule for target.
traversoplugins/fast:
	$(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/build
.PHONY : traversoplugins/fast

#=============================================================================
# Target rules for targets named traversoplugins_automoc

# Build rule for target.
traversoplugins_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversoplugins_automoc
.PHONY : traversoplugins_automoc

# fast build rule for target.
traversoplugins_automoc/fast:

=== src/core/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/audiofileio/decode
${CMAKE_SOURCE_DIR}/src/audiofileio/encode
${CMAKE_SOURCE_DIR}/src/commands
${CMAKE_SOURCE_DIR}/src/commands/plugins/TraversoCommands
${CMAKE_SOURCE_DIR}/src/common
${CMAKE_SOURCE_DIR}/src/engine
${CMAKE_SOURCE_DIR}/src/plugins
${CMAKE_SOURCE_DIR}/src/plugins/native
${QT_QTGUI_INCLUDE_DIR}
${QT_QTXML_INCLUDE_DIR}
)

SET(TRAVERSO_CORE_SOURCES
${CMAKE_SOURCE_DIR}/src/common/Utils.cpp
${CMAKE_SOURCE_DIR}/src/common/Tsar.cpp
${CMAKE_SOURCE_DIR}/src/common/Debugger.cpp
${CMAKE_SOURCE_DIR}/src/common/Mixer.cpp
${CMAKE_SOURCE_DIR}/src/common/RingBuffer.cpp
${CMAKE_SOURCE_DIR}/src/common/Resampler.cpp
AudioClip.cpp
AudioClipGroup.cpp
AudioClipManager.cpp
AudioFileCopyConvert.cpp
AudioFileMerger.cpp
AudioSource.cpp
Command.cpp
Config.cpp
ContextPointer.cpp
Curve.cpp
CurveNode.cpp
DiskIO.cpp
Export.cpp
FadeCurve.cpp
FileHelpers.cpp
Information.cpp
InputEngine.cpp
Peak.cpp
Project.cpp
ProjectManager.cpp
ReadSource.cpp
ResourcesManager.cpp
Sheet.cpp
Track.cpp
ViewPort.cpp
WriteSource.cpp
gdither.cpp
SnapList.cpp
Snappable.cpp
TimeLine.cpp
Marker.cpp
Themer.cpp
ProjectConverter.cpp
)

SET(TRAVERSO_CORE_MOC_CLASSES
${CMAKE_SOURCE_DIR}/src/common/Tsar.h
AudioClip.h
AudioClipManager.h
AudioFileMerger.h
AudioFileCopyConvert.h
Config.h
ContextPointer.h
Curve.h
DiskIO.h
Export.h
FadeCurve.h
Information.h
Marker.h
Peak.h
Project.h
ProjectConverter.h
ProjectManager.h
ReadSource.h
ResourcesManager.h
Sheet.h
Themer.h
TimeLine.h
Track.h
ViewPort.h
WriteSource.h
ContextItem.h
InputEngine.h
CommandPlugin.h
)

QT5_WRAP_CPP(TRAVERSO_CORE_MOC_SOURCES ${TRAVERSO_CORE_MOC_CLASSES})

IF(UNIX)
	IF(HOST_SUPPORTS_SSE)
		IF(IS_ARCH_X86)
			SET(ASM_FILE ${CMAKE_SOURCE_DIR}/src/common/sse_functions.S)
		ENDIF(IS_ARCH_X86)
		IF(IS_ARCH_X86_64)
			SET(ASM_FILE ${CMAKE_SOURCE_DIR}/src/common/sse_functions_64bit.S)
		ENDIF(IS_ARCH_X86_64)
		
		add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/sse_functions.o
			COMMAND as ${ASM_FILE} -o ${CMAKE_CURRENT_BINARY_DIR}/sse_functions.o
			DEPENDS ${ASM_FILE}
		)
		SET(SSE_OBJECT_FILE ${CMAKE_CURRENT_BINARY_DIR}/sse_functions.o)
	ENDIF(HOST_SUPPORTS_SSE)
ENDIF(UNIX)


SET(TRAVERSO_CORE_LIBRARY "traversocore")

ADD_LIBRARY(${TRAVERSO_CORE_LIBRARY} STATIC ${TRAVERSO_CORE_SOURCES} ${TRAVERSO_CORE_MOC_SOURCES} ${SSE_OBJECT_FILE})

IF(USE_PCH)
    ADD_DEPENDENCIES(traversocore precompiled_headers)
ENDIF(USE_PCH)

=== src/sheetcanvas/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/commands
${CMAKE_SOURCE_DIR}/src/common
${CMAKE_SOURCE_DIR}/src/core
${CMAKE_SOURCE_DIR}/src/engine
${CMAKE_SOURCE_DIR}/src/plugins
${CMAKE_SOURCE_DIR}/src/plugins/native
${CMAKE_SOURCE_DIR}/src/plugins/LV2
${CMAKE_SOURCE_DIR}/src/3rdparty/slv2
${CMAKE_SOURCE_DIR}/src/traverso
${CMAKE_SOURCE_DIR}/src/traverso/dialogs
${QT_QTGUI_INCLUDE_DIR}
${QT_QTXML_INCLUDE_DIR}
)

# IF(HAVE_OPENGL)
# INCLUDE_DIRECTORIES(
# ${QT_QTOPENGL_INCLUDE_DIR}
# )
# ENDIF(HAVE_OPENGL)

SET(TRAVERSO_SONGCANVAS_SOURCES
AudioClipView.cpp
ClipsViewPort.cpp
Cursors.cpp
CurveNodeView.cpp
CurveView.cpp
FadeView.cpp
MarkerView.cpp
PluginChainView.cpp
PluginView.cpp
PositionIndicator.cpp
SheetView.cpp
SheetWidget.cpp
TimeLineView.cpp
TimeLineViewPort.cpp
TrackPanelView.cpp
TrackPanelViewPort.cpp
TrackView.cpp
ViewItem.cpp
dialogs/AudioClipEditDialog.cpp
)

SET(TRAVERSO_SONGCANVAS_MOC_CLASSES
AudioClipView.h
ClipsViewPort.h
Cursors.h
CurveNodeView.h
FadeView.h
MarkerView.h
PluginChainView.h
PluginView.h
PositionIndicator.h
TrackView.h
ViewItem.h
dialogs/AudioClipEditDialog.h
CurveView.h
SheetView.h
SheetWidget.h
TrackPanelView.h
TimeLineView.h
LineView.h
)

SET(TRAVERSO_SONGCANVAS_UI_FILES
ui/AudioClipEditDialog.ui
)

QT5_WRAP_CPP(TRAVERSO_SONGCANVAS_MOC_SOURCES ${TRAVERSO_SONGCANVAS_MOC_CLASSES})
#QT5_WRAP_UI(TRAVERSO_SONGCANVAS_UI_SOURCES ${TRAVERSO_SONGCANVAS_UI_FILES})


SET(TRAVERSO_SONGCANVAS_LIBRARY "traversosheetcanvas")

ADD_LIBRARY(${TRAVERSO_SONGCANVAS_LIBRARY} STATIC 
	${TRAVERSO_SONGCANVAS_SOURCES} 
	${TRAVERSO_SONGCANVAS_MOC_SOURCES} 
	${TRAVERSO_SONGCANVAS_UI_SOURCES}
)

IF(USE_PCH)
    ADD_DEPENDENCIES(traversosheetcanvas precompiled_headers)
ENDIF(USE_PCH)

=== src/commands/plugins/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.7

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/src/commands/plugins/CMakeFiles/progress.marks
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/commands/plugins/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/commands/plugins/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/commands/plugins/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/commands/plugins/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... install/strip"
	@echo "... install/local"
	@echo "... install"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... rebuild_cache"
	@echo "... package_source"
	@echo "... edit_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
traverso (0.49.5-2) unstable; urgency=medium

  * Team upload.
  * Drop me from uploaders.
  * Bump debhelper version to 4.1.3.
  * Bump standards version to 11.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 10 Feb 2018 19:38:25 +0100

traverso (0.49.5-1) unstable; urgency=medium

  * New upstream version 0.49.5
  * Set compat/dh 10.
  * Bump Standards.
  * Update Vcs to use git instead of cgit.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Remove patch not applying anymore.
  * Switch to QT5. (Closes: #875209)
  * Update copyright file.
  * Fix copyright file.
  * Add more spelling to spelling patch.
  * Add patch to fix passing flags.
  * Patches forwarded.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 11 Oct 2017 15:31:38 +0200

=== debian/control ===
Source: traverso
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper (>= 11~),
 libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 libfftw3-dev,
 libflac++-dev,
 libjack-dev,
 libmad0-dev,
 libmp3lame-dev,
 libogg-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 librdf0-dev,
 libsamplerate0-dev,
 liblilv-dev,
 libsndfile1-dev,
 libvorbis-dev,
 libwavpack-dev
Standards-Version: 4.1.3
Homepage: http://traverso-daw.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/traverso.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/traverso.git

Package: traverso
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Multitrack audio recorder and editor
 This is a free, cross platform multitrack audio recording and editing
 suite, with an innovative and easy to master user interface. It is suited
 for both the professional and home user, who needs a robust and solid DAW.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifneq ($(DEB_HOST_ARCH_OS),linux)
cmake_extra_args += -DWANT_ALSA=OFF
endif

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--no-undefined -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DUSE_SYSTEM_SLV2_LIBRARY=ON \
	-DWANT_MP3_ENCODE=ON \
	$(cmake_extra_args)

override_dh_install:
	dh_install debian/*.desktop usr/share/applications/
